repo/gentoo:master commit in: virtual/dist-kernel/
MichaŠGórny <[email protected]> Mon, 03 Aug 2026 14:32:15 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785767522.5cf2f508fc0a4bbed6d61af74c4c81f31378ded7.mgorny@gentoo> |
commit: 5cf2f508fc0a4bbed6d61af74c4c81f31378ded7
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 3 10:12:58 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 3 14:32:02 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cf2f508
virtual/dist-kernel: Bump to 6.18.42
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
virtual/dist-kernel/dist-kernel-6.18.42.ebuild | 16 ++++++++++++++++
1 file changed, 16 insertions(+)
diff --git a/virtual/dist-kernel/dist-kernel-6.18.42.ebuild b/virtual/dist-kernel/dist-kernel-6.18.42.ebuild
new file mode 100644
index 000000000000..3e0fb5394edd
--- /dev/null
+++ b/virtual/dist-kernel/dist-kernel-6.18.42.ebuild
@@ -0,0 +1,16 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Virtual to depend on any Distribution Kernel"
+SLOT="0/${PVR}"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ || (
+ ~sys-kernel/gentoo-kernel-${PV}
+ ~sys-kernel/gentoo-kernel-bin-${PV}
+ ~sys-kernel/vanilla-kernel-${PV%_p*}
+ )
+"